### Hierarchy

- Events
  - Layer
    - Marker
    - Popup
    - PolyLine
    - Polygon
    - CircleLayer
    - SymbolLayer

## Index

### Constructors

- constructor

### Properties

- _layer
- _map
- _source
- draggable
- id
- type
- _cnt

### Methods

- addTo
- off
- on

## Constructors

### constructor

- new Layer(type?: string): Layer

- - Defined in Layer.ts:17

  #### Parameters

  - ##### Optional type: string

  #### Returns Layer

## Properties

### _layer

_layer: any

- Defined in Layer.ts:13

### _map

_map: any

- Defined in Layer.ts:15

### _source

_source: any

- Defined in Layer.ts:14

### draggable

draggable: boolean

- Defined in Layer.ts:16

### id

id: string

- Defined in Layer.ts:12

### type

type: string

- Defined in Layer.ts:17

### Static Private _cnt

_cnt: number

- Defined in Layer.ts:11

## Methods

### addTo

- addTo(map: Map): Layer

- - Defined in Layer.ts:37

  #### Parameters

  - ##### map: Map

  #### Returns Layer

### off

- off(event?: string, listener?: any): Layer

- Overwrites Events.off

  - Defined in Layer.ts:58

  #### Parameters

  - ##### Optional event: string

  - ##### Optional listener: any

  #### Returns Layer

### on

- on(event: string, listener: any): Layer

- Overwrites Events.on

  - Defined in Layer.ts:45

  #### Parameters

  - ##### event: string

  - ##### listener: any

  #### Returns Layer

Generated using TypeDoc